vignette {utils} | R Documentation

## View or List Vignettes

### Description

View a specified vignette, or list the available ones.

### Usage

    vignette(topic, package = NULL, lib.loc = NULL)

### Arguments

`topic` | a character string giving the (base) name of the vignette to view.
`package` | a character vector with the names of packages to search through, or `NULL` in which case all available packages in the library trees specified by `lib.loc` are searched.
`lib.loc` | a character vector of directory names of R libraries, or `NULL`. The default value of `NULL` corresponds to all libraries currently known.

### Details

Currently, only PDF versions of vignettes can be viewed. The program specified by the `pdfviewer` option is used for this. If several vignettes have PDF versions with base name identical to `topic`, the first one found is used for viewing.

If no topics are given, the available vignettes are listed. The corresponding information is returned in an object of class `"packageIQR"`. The structure of this class is experimental.

### Examples

    ## List vignettes in all attached packages
    vignette()
    ## List vignettes in all available packages
    vignette(package = .packages(all.available = TRUE))

[Package utils version 2.0.1 Index]